# Get

Launch stage: GA

`GET /api/2.0/data-sharing/recipients/{recipient_name}/federation-policies/{name}`

Reads an existing federation policy for an OIDC_FEDERATION recipient for sharing data from <Databricks> to non-<Databricks> recipients.
 The caller must have read access to the recipient.

API scopes: sharing

## Path parameters

- `recipient_name` (string, optional)
  Name of the recipient. This is the name of the recipient for which the policy is being retrieved.
- `name` (string, optional)
  Name of the policy. This is the name of the policy to be retrieved.

## Returns

Returns the FederationPolicy object.

## Response

```json
{
  "name": "my-federation-policy1",
  "oidc_policy": {
    "issuer": "https://myidp.example.com/oidc",
    "subject_claim": "azp",
    "subject": "string",
    "audiences": [
      "string"
    ]
  },
  "create_time": "string",
  "comment": "My federation policy description.",
  "update_time": "string",
  "id": "string"
}
```

